Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class ClsEvent

    java.lang.Object
      java.util.EventObject
          edu.stanford.smi.protege.util.SessionEvent
              edu.stanford.smi.protege.util.AbstractEvent
                  edu.stanford.smi.protege.event.ClsEvent

All Implemented Interfaces:
  Event, Localizable, Serializable

    public class ClsEvent

extends AbstractEvent

Event generated when a class is changed.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary
`static int` | `DIRECT_INSTANCE_ADDED`
`static int` | `DIRECT_INSTANCE_REMOVED`
`static int` | `DIRECT_SUBCLASS_ADDED`
`static int` | `DIRECT_SUBCLASS_MOVED`
`static int` | `DIRECT_SUBCLASS_REMOVED`
`static int` | `DIRECT_SUPERCLASS_ADDED`
`static int` | `DIRECT_SUPERCLASS_REMOVED`
`static int` | `TEMPLATE_FACET_ADDED`
`static int` | `TEMPLATE_FACET_REMOVED`
`static int` | `TEMPLATE_FACET_VALUE_CHANGED`
`static int` | `TEMPLATE_SLOT_ADDED`
`static int` | `TEMPLATE_SLOT_REMOVED`
`static int` | `TEMPLATE_SLOT_VALUE_CHANGED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ClsEvent(Cls cls, int type, Object argument)`
`ClsEvent(Cls cls, int type, Object argument1, Object argument2)`

Method Summary
`Cls` | `getCls()`
`Facet` | `getFacet()`
`Instance` | `getInstance()`
`Slot` | `getSlot()`
`Cls` | `getSubclass()`
`Cls` | `getSuperclass()`
`boolean` | `isDeletingClsEvent()`

Methods inherited from class edu.stanford.smi.protege.util.AbstractEvent
`equals, equals, getArgument, getArgument1, getArgument2, getArgument3, getEventType, getSource, getTimeStamp, getUserName, hashCode, isReplacementEvent, localize, setReplacementEvent, setSource, setTimeStamp, toString`

Methods inherited from class edu.stanford.smi.protege.util.SessionEvent
`getSession, isHiddenByTransaction, setHiddenByTransaction`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DIRECT_SUPERCLASS_ADDED

    public static final int DIRECT_SUPERCLASS_ADDED

See Also:
  Constant Field Values

### DIRECT_SUPERCLASS_REMOVED

    public static final int DIRECT_SUPERCLASS_REMOVED

See Also:
  Constant Field Values

### DIRECT_SUBCLASS_ADDED

    public static final int DIRECT_SUBCLASS_ADDED

See Also:
  Constant Field Values

### DIRECT_SUBCLASS_REMOVED

    public static final int DIRECT_SUBCLASS_REMOVED

See Also:
  Constant Field Values

### DIRECT_INSTANCE_ADDED

    public static final int DIRECT_INSTANCE_ADDED

See Also:
  Constant Field Values

### DIRECT_INSTANCE_REMOVED

    public static final int DIRECT_INSTANCE_REMOVED

See Also:
  Constant Field Values

### DIRECT_SUBCLASS_MOVED

    public static final int DIRECT_SUBCLASS_MOVED

See Also:
  Constant Field Values

### TEMPLATE_SLOT_ADDED

    public static final int TEMPLATE_SLOT_ADDED

See Also:
  Constant Field Values

### TEMPLATE_SLOT_REMOVED

    public static final int TEMPLATE_SLOT_REMOVED

See Also:
  Constant Field Values

### TEMPLATE_SLOT_VALUE_CHANGED

    public static final int TEMPLATE_SLOT_VALUE_CHANGED

See Also:
  Constant Field Values

### TEMPLATE_FACET_ADDED

    public static final int TEMPLATE_FACET_ADDED

See Also:
  Constant Field Values

### TEMPLATE_FACET_REMOVED

    public static final int TEMPLATE_FACET_REMOVED

See Also:
  Constant Field Values

### TEMPLATE_FACET_VALUE_CHANGED

    public static final int TEMPLATE_FACET_VALUE_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### ClsEvent

    public ClsEvent(Cls cls,
                    int type,
                    Object argument)

### ClsEvent

    public ClsEvent(Cls cls,
                    int type,
                    Object argument1,
                    Object argument2)

Method Detail

### getCls

    public Cls getCls()

### getFacet

    public Facet getFacet()

### getInstance

    public Instance getInstance()

### getSlot

    public Slot getSlot()

### getSubclass

    public Cls getSubclass()

### getSuperclass

    public Cls getSuperclass()

### isDeletingClsEvent

    public boolean isDeletingClsEvent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.